using Godot;
using System.Reflection;
using System.Collections.Generic;
using System.Text;

namespace Rokojori
{ 
  public class MusicTimeLine:AudioProcessor
  { 
    

    public AudioEventInput<float> bpm;
    public AudioEventInput<MusicTimeLineRange> loop;
    public AudioEventOutput<MusicTimeLineRange> timeLineRanges;

    public MusicTimeLine( AudioGraph ag ):base( ag )
    {
      bpm  = new AudioEventInput<float>( this );
      loop = new AudioEventInput<MusicTimeLineRange>( this );

      timeLineRanges = new AudioEventOutput<MusicTimeLineRange>( this);
    }

    MusicTimeLineRange _loopRange;
    float _bpm = 120;

    protected override void _ProcessAudio()
    {

    }
  }
}